網頁

2008年11月15日 星期六

Centos上安裝 TWiki 4.1.x

TWiki 4.1.x 是舊的版本,新的版本已到 4.2.3。
新版由 Fedora 9 移到 CentOS 5 的不需安裝其他的東西就可以用了。但 4.1.x 就不是了…

主要是少了一些 perl modules 記錄一下,不然沒多久就忘光了…


Fedora 9 安裝時需要的 perl modules
tar ball
* CGI::Session
* Apache::Htpasswd
* Encode::compat
* Lingua::EN::Sentence
rpm
* perl-Crypt-PasswdMD5
* perl-Test-Simple
* perl-FreezeThaw

CentOS 5 安裝時需要的 perl modules 及 rcs
* yum install rcs
rpm
* perl-CGI-Session
* perl-Unicode-MapUTF8
* perl-Apache-Htpasswd
* perl-Encode-compat
* perl-Lingua-EN-Sentence
* perl-Crypt-PasswdMD5
* perl-FreezeThaw
* perl-HTML-Tree

Calendar plugin
* perl-Date-Calc
* perl-HTML-CalendarMonthSimple

DBCacheContrib plugin
* perl-Time-modules

若有問題請檢查 twiki/data/warn*.txt
沒想到都有 rpm 可以直接 yum install 真是方便!

沒有留言: